For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
WebsiteStatusSupportDashboard
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
  • Assistants
    • GETList Assistants
    • POSTCreate Assistant
    • GETGet Assistant
    • DELDelete Assistant
    • PATCHUpdate Assistant
  • Squads
    • GETList Squads
    • POSTCreate Squad
    • GETGet Squad
    • DELDelete Squad
    • PATCHUpdate Squad
  • Calls
    • GETList Calls
    • POSTCreate Call
    • GETGet Call
    • DELDelete Call
    • PATCHUpdate Call
  • Chats
    • GETList Chats
    • POSTCreate Chat
    • GETGet Chat
    • DELDelete Chat
    • POSTCreate Chat (OpenAI Compatible)
  • Campaigns
    • GETList Campaigns
    • POSTCreate Campaign
    • GETGet Campaign
    • DELDelete Campaign
    • PATCHUpdate Campaign
  • Sessions
    • GETList Sessions
    • POSTCreate Session
    • GETGet Session
    • DELDelete Session
    • PATCHUpdate Session
  • Phone Numbers
    • GETList Phone Numbers
    • POSTCreate Phone Number
    • GETList Phone Numbers
    • GETGet Phone Number
    • DELDelete Phone Number
    • PATCHUpdate Phone Number
  • Tools
    • GETList Tools
    • POSTCreate Tool
    • GETGet Tool
    • DELDelete Tool
    • PATCHUpdate Tool
  • Files
    • GETList Files
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • PATCHUpdate File
  • Structured Outputs
    • GETList Structured Outputs
    • POSTCreate Structured Output
    • GETGet Structured Output
    • DELDelete Structured Output
    • PATCHUpdate Structured Output
    • POSTRun Structured Output
  • Insight
    • GETGet Insights
    • POSTCreate Insight
    • GETGet Insight
    • DELDelete Insight
    • PATCHUpdate Insight
    • POSTRun Insight
    • POSTPreview Insight
  • Eval
    • GETList Evals
    • POSTCreate Eval
    • GETGet Eval
    • DELDelete Eval
    • PATCHUpdate Eval
    • GETGet Eval Run
    • DELDelete Eval Run
    • GETList Eval Runs
    • POSTCreate Eval Run
  • Observability Scorecard
    • GETGet Scorecard
    • DELDelete Scorecard
    • PATCHUpdate Scorecard
    • GETList Scorecards
    • POSTCreate Scorecard
  • Provider Resources
    • GETList Provider Resources
    • POSTCreate Provider Resource
    • GETGet Provider Resource
    • DELDelete Provider Resource
    • PATCHUpdate Provider Resource
  • Analytics
    • POSTCreate Analytics Queries
  • Webhooks
    • POSTServer Message
    • POSTClient Message
    • Swagger
    • OpenAPI
LogoLogo
WebsiteStatusSupportDashboard
Observability Scorecard

Get Scorecard

GET
https://api.vapi.ai/observability/scorecard/:id
GET
/observability/scorecard/:id
$curl https://api.vapi.ai/observability/scorecard/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "id": "a3f47b2e-9c4d-4f1a-8b2e-3d7f9a1c5e6b",
3 "orgId": "org-9f8d7c6b5a4e3d2c1b0a",
4 "createdAt": "2024-01-15T09:30:00Z",
5 "updatedAt": "2024-04-20T14:45:00Z",
6 "metrics": [
7 {
8 "structuredOutputId": "metric-1234abcd-5678-efgh-9012-ijklmnopqrst",
9 "conditions": [
10 {
11 "comparator": ">=",
12 "value": 85,
13 "points": 50,
14 "description": "Score above 85 grants 50 points"
15 },
16 {
17 "comparator": "<",
18 "value": 85,
19 "points": 20,
20 "description": "Score below 85 grants 20 points"
21 }
22 ]
23 }
24 ],
25 "name": "Customer Support Quality Scorecard",
26 "description": "Scorecard to evaluate the quality of customer support calls based on response accuracy and sentiment analysis.",
27 "assistantIds": [
28 "assistant-0011223344556677"
29 ]
30}
Was this page helpful?
Previous

Delete Scorecard

Next
Built with

Authentication

AuthorizationBearer

Retrieve your API Key from Dashboard.

Path parameters

idstringRequired

Response

idstring
This is the unique identifier for the scorecard.
orgIdstring
This is the unique identifier for the org that this scorecard belongs to.
createdAtdatetime

This is the ISO 8601 date-time string of when the scorecard was created.

updatedAtdatetime

This is the ISO 8601 date-time string of when the scorecard was last updated.

metricslist of objects
These are the metrics that will be used to evaluate the scorecard. Each metric will have a set of conditions and points that will be used to generate the score.
namestring<=80 characters
This is the name of the scorecard. It is only for user reference and will not be used for any evaluation.
descriptionstring<=500 characters
This is the description of the scorecard. It is only for user reference and will not be used for any evaluation.
assistantIdslist of strings
These are the assistant IDs that this scorecard is linked to. When linked to assistants, this scorecard will be available for evaluation during those assistants' calls.